#/* $Id: sux-db.sql,v 1.15 2003/03/23 19:02:51 vjt Exp $ */
# phpMyAdmin MySQL-Dump
# version 2.3.3pl1
# http://www.phpmyadmin.net/ (download page)
#
# Host: nowhere.vejnet.org
# Generation Time: Mar 23, 2003 at 03:26 PM
# Server version: 3.23.55
# PHP Version: 4.1.2
# Database : `sux`
# --------------------------------------------------------

#
# Table structure for table `acl`
#

DROP TABLE IF EXISTS `acl`;
CREATE TABLE `acl` (
  `nick_id` mediumint(8) unsigned NOT NULL default '0',
  `user` varchar(10) NOT NULL default '',
  `host` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`nick_id`,`user`,`host`)
) TYPE=MyISAM COMMENT='Access Lists';
# --------------------------------------------------------

#
# Table structure for table `akick`
#

DROP TABLE IF EXISTS `akick`;
CREATE TABLE `akick` (
  `chan_id` mediumint(8) unsigned NOT NULL default '0',
  `nick_id` mediumint(8) unsigned NOT NULL default '0',
  `creator` varchar(30) NOT NULL default '',
  `time` timestamp(14) NOT NULL,
  `reason` varchar(128) default NULL,
  `flags` enum('nick','mask') NOT NULL default 'nick',
  PRIMARY KEY  (`chan_id`,`nick_id`,`flags`)
) TYPE=MyISAM COMMENT='AKICK lists';
# --------------------------------------------------------

#
# Table structure for table `akill`
#

DROP TABLE IF EXISTS `akill`;
CREATE TABLE `akill` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `mask` varchar(128) NOT NULL default '',
  `display_mask` varchar(128) NOT NULL default '',
  `reason` varchar(255) NOT NULL default '',
  `set_by` varchar(30) NOT NULL default '',
  `time_set` timestamp(14) NOT NULL,
  `expire` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `unique mask` (`mask`)
) TYPE=MyISAM COMMENT='Auto-Kill lists';
# --------------------------------------------------------

#
# Table structure for table `aop`
#

DROP TABLE IF EXISTS `aop`;
CREATE TABLE `aop` (
  `chan_id` mediumint(8) unsigned NOT NULL default '0',
  `nick_id` mediumint(8) unsigned NOT NULL default '0',
  `creator` varchar(30) NOT NULL default '',
  `time` timestamp(14) NOT NULL,
  `reason` varchar(128) default NULL,
  `flags` enum('nick','mask') NOT NULL default 'nick',
  PRIMARY KEY  (`chan_id`,`nick_id`,`flags`)
) TYPE=MyISAM COMMENT='AOP lists';
# --------------------------------------------------------

#
# Table structure for table `cfounder`
#

DROP TABLE IF EXISTS `cfounder`;
CREATE TABLE `cfounder` (
  `chan_id` mediumint(8) unsigned NOT NULL default '0',
  `nick_id` mediumint(8) unsigned NOT NULL default '0',
  `creator` varchar(30) NOT NULL default '',
  `time` timestamp(14) NOT NULL,
  `reason` varchar(128) default NULL,
  `flags` enum('nick','mask') NOT NULL default 'nick',
  PRIMARY KEY  (`chan_id`,`nick_id`,`flags`)
) TYPE=MyISAM COMMENT='Co-Founder lists';
# --------------------------------------------------------

#
# Table structure for table `chans`
#

DROP TABLE IF EXISTS `chans`;
CREATE TABLE `chans` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(32) NOT NULL default '',
  `founder_id` mediumint(8) unsigned NOT NULL default '0',
  `pass` varchar(32) NOT NULL default '',
  `desc` varchar(128) NOT NULL default '',
  `time_reg` timestamp(14) NOT NULL,
  `time_used` timestamp(14) NOT NULL,
  `mlock` varchar(64) default NULL,
  `last_topic` varchar(255) default NULL,
  `last_topic_nick` varchar(30) default NULL,
  `last_topic_time` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) TYPE=MyISAM COMMENT='ChanServ Table';
# --------------------------------------------------------

#
# Table structure for table `help`
#

DROP TABLE IF EXISTS `help`;
CREATE TABLE `help` (
  `agent` tinyint(3) unsigned NOT NULL default '0',
  `cmd` varchar(16) NOT NULL default '',
  `txt` text NOT NULL,
  PRIMARY KEY  (`agent`,`cmd`)
) TYPE=MyISAM COMMENT='Help commands';
# --------------------------------------------------------

#
# Table structure for table `masks`
#

DROP TABLE IF EXISTS `masks`;
CREATE TABLE `masks` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `mask` varchar(255) NOT NULL default '',
  `display_mask` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `mask` (`mask`),
  UNIQUE KEY `display_mask` (`display_mask`)
) TYPE=MyISAM COMMENT='Masks';
# --------------------------------------------------------

#
# Table structure for table `memo`
#

DROP TABLE IF EXISTS `memo`;
CREATE TABLE `memo` (
  `id` int(11) NOT NULL auto_increment,
  `send_id` mediumint(8) unsigned NOT NULL default '0',
  `rcpt_id` mediumint(8) unsigned NOT NULL default '0',
  `date` timestamp(14) NOT NULL,
  `text` varchar(255) NOT NULL default '',
  `read` enum('y','n') NOT NULL default 'n',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Memos';
# --------------------------------------------------------

#
# Table structure for table `nicks`
#

DROP TABLE IF EXISTS `nicks`;
CREATE TABLE `nicks` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `pass` varchar(32) NOT NULL default '',
  `reg_time` timestamp(14) NOT NULL,
  `last_seen` timestamp(14) NOT NULL,
  `flags` set('kill','secure','forbid','memo_signon','memo_notify','hide_email','noop','nomemo','auth','freeze','drop','enforced') default NULL,
  `url` varchar(128) default NULL,
  `email` varchar(64) NOT NULL default '',
  `hold` varchar(30) default NULL,
  `mark` varchar(30) default NULL,
  `forbid` varchar(30) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) TYPE=MyISAM COMMENT='NickServ table';
# --------------------------------------------------------

#
# Table structure for table `sop`
#

DROP TABLE IF EXISTS `sop`;
CREATE TABLE `sop` (
  `chan_id` mediumint(8) unsigned NOT NULL default '0',
  `nick_id` mediumint(8) unsigned NOT NULL default '0',
  `creator` varchar(30) NOT NULL default '',
  `time` timestamp(14) NOT NULL,
  `reason` varchar(128) default NULL,
  `flags` enum('nick','mask') NOT NULL default 'nick',
  PRIMARY KEY  (`chan_id`,`nick_id`,`flags`)
) TYPE=MyISAM COMMENT='SOP lists';
# --------------------------------------------------------

#
# Table structure for table `vop`
#

DROP TABLE IF EXISTS `vop`;
CREATE TABLE `vop` (
  `chan_id` mediumint(8) unsigned NOT NULL default '0',
  `nick_id` mediumint(8) unsigned NOT NULL default '0',
  `creator` varchar(30) NOT NULL default '',
  `time` timestamp(14) NOT NULL,
  `reason` varchar(128) default NULL,
  `flags` enum('nick','mask') NOT NULL default 'nick',
  PRIMARY KEY  (`chan_id`,`nick_id`,`flags`)
) TYPE=MyISAM COMMENT='VOP lists';

