/*
 * Copyright 2002 Barnaba Marcello <vjt@azzurra.org>
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2a. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in
 *     the documentation and/or other materials provided with the
 *     distribution.
 * 2b. Redistribution in binary form requires specific prior written
 *     authorization of the maintainer.
 * 
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgement:
 *    This product includes software developed by Barnaba Marcello.
 * 
 * 4. The names of the maintainer, developers and contributors may not be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE MAINTAINER, DEVELOPERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * THE DEVELOPERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/* $Id: chanserv.h,v 1.19 2003/03/23 18:50:38 vjt Exp $ */

#ifndef __chanserv_h__
#define __chanserv_h__

#include "sux.h"

#define CS_ERR_NOACCESS		0x0000
#define CS_ERR_NOTREG		-1

#define CS_ACCESS_AKICK		0x0001
#define CS_ACCESS_VOP		0x0002
#define CS_ACCESS_AOP		0x0004
#define CS_ACCESS_SOP		0x0008
#define CS_ACCESS_COFOUNDER	0x0010
#define CS_ACCESS_FOUNDER	0x0020

gboolean chanserv(User *, gchar *);

void cs_help(User *, gint, gchar **);
void cs_register(User *, gint, gchar **);
void cs_identify(User *, gint, gchar **);
void cs_info(User *, gint, gchar **);

void cs_aop(User *, gint, gchar **);
void cs_vop(User *, gint, gchar **);
void cs_sop(User *, gint, gchar **);
void cs_cofounder(User *, gint, gchar **);
void cs_akick(User *, gint, gchar **);

void cs_op(User *, gint, gchar **);
void cs_deop(User *, gint, gchar **);
void cs_voice(User *, gint, gchar **);
void cs_devoice(User *, gint, gchar **);

void cs_invite(User *, gint, gchar **);

gint cs_get_access(gchar *, User *);

#endif
