/*
 * Copyright 2002 Barnaba Marcello <vjt@azzurra.org>
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2a. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in
 *     the documentation and/or other materials provided with the
 *     distribution.
 * 2b. Redistribution in binary form requires specific prior written
 *     authorization of the maintainer.
 * 
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgement:
 *    This product includes software developed by Barnaba Marcello.
 * 
 * 4. The names of the maintainer, developers and contributors may not be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE MAINTAINER, DEVELOPERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * THE DEVELOPERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/* $Id: match.h,v 1.7 2003/03/24 20:56:42 vjt Exp $ */

#ifndef __match_h__
#define __match_h__

#include "sux.h"

gint mycmp(const gchar *, const gchar *);
gint myncmp(const gchar *, const gchar *, gint);

gboolean __sux_hash_strcmp(gconstpointer, gconstpointer);
gboolean __sux_hash_strncmp(gconstpointer, gconstpointer, gint);

extern guchar __tolowertab[];
extern guchar __touppertab[];

gchar *fixup_mask(gchar *, gchar *, gsize);
#if 0
gchar *match_to_regex(gchar *, gchar *, gsize);
#endif
gchar *match_to_sqlmask(gchar *, gchar *, gsize);
gchar *sqlmask_to_match(gchar *, gchar *, gsize);

#ifdef strcmp
#undef strcmp
#endif

#ifdef strncmp
#undef strncmp
#endif

#ifdef tolower
#undef tolower
#endif

#ifdef toupper
#undef toupper
#endif

#define strcmp		mycmp
#define strncmp		myncmp

#define tolower(x)	__tolowertab[(gint)(x)]
#define toupper(x)	__touppertab[(gint)(x)]

#endif
